# all files / ol/render/ vectorcontext.js

100% Statements 17/17
100% Branches 0/0
100% Functions 1/1
100% Lines 17/17

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    111
    112
    113
    114
    115
    116
    117
    118
    119
    120
    121
    122
    123
    124
    125
    126
    1271×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×

    1×
     goog.provide('ol.render.VectorContext');

    /**
     * Context for drawing geometries.  A vector context is available on render
     * events and does not need to be constructed directly.
     * @constructor
     * @struct
     * @api
     */
    ol.render.VectorContext = function() {
    };

    /**
     * Render a geometry.
     *
     * @param {ol.geom.Geometry} geometry The geometry to render.
     */
    ol.render.VectorContext.prototype.drawGeometry = goog.abstractMethod;

    /**
     * Set the rendering style.
     *
     * @param {ol.style.Style} style The rendering style.
     */
    ol.render.VectorContext.prototype.setStyle = goog.abstractMethod;

    /**
     * @param {ol.geom.Circle} circleGeometry Circle geometry.
     * @param {ol.Feature} feature Feature,
     */
    ol.render.VectorContext.prototype.drawCircle = goog.abstractMethod;

    /**
     * @param {ol.Feature} feature Feature.
     * @param {ol.style.Style} style Style.
     */
    ol.render.VectorContext.prototype.drawFeature = goog.abstractMethod;

    /**
     * @param {ol.geom.GeometryCollection} geometryCollectionGeometry Geometry
     *     collection.
     * @param {ol.Feature} feature Feature.
     */
    ol.render.VectorContext.prototype.drawGeometryCollection = goog.abstractMethod;

    /**
     * @param {ol.geom.LineString|ol.render.Feature} lineStringGeometry Line
     *     string geometry.
     * @param {ol.Feature|ol.render.Feature} feature Feature.
     */
    ol.render.VectorContext.prototype.drawLineString = goog.abstractMethod;

    /**
     * @param {ol.geom.MultiLineString|ol.render.Feature} multiLineStringGeometry
     *     MultiLineString geometry.
     * @param {ol.Feature|ol.render.Feature} feature Feature.
     */
    ol.render.VectorContext.prototype.drawMultiLineString = goog.abstractMethod;

    /**
     * @param {ol.geom.MultiPoint|ol.render.Feature} multiPointGeometry MultiPoint
     *     geometry.
     * @param {ol.Feature|ol.render.Feature} feature Feature.
     */
    ol.render.VectorContext.prototype.drawMultiPoint = goog.abstractMethod;

    /**
     * @param {ol.geom.MultiPolygon} multiPolygonGeometry MultiPolygon geometry.
     * @param {ol.Feature} feature Feature.
     */
    ol.render.VectorContext.prototype.drawMultiPolygon = goog.abstractMethod;

    /**
     * @param {ol.geom.Point|ol.render.Feature} pointGeometry Point geometry.
     * @param {ol.Feature|ol.render.Feature} feature Feature.
     */
    ol.render.VectorContext.prototype.drawPoint = goog.abstractMethod;

    /**
     * @param {ol.geom.Polygon|ol.render.Feature} polygonGeometry Polygon
     *     geometry.
     * @param {ol.Feature|ol.render.Feature} feature Feature.
     */
    ol.render.VectorContext.prototype.drawPolygon = goog.abstractMethod;

    /**
     * @param {Array.<number>} flatCoordinates Flat coordinates.
     * @param {number} offset Offset.
     * @param {number} end End.
     * @param {number} stride Stride.
     * @param {ol.geom.Geometry|ol.render.Feature} geometry Geometry.
     * @param {ol.Feature|ol.render.Feature} feature Feature.
     */
    ol.render.VectorContext.prototype.drawText = goog.abstractMethod;

    /**
     * @param {ol.style.Fill} fillStyle Fill style.
     * @param {ol.style.Stroke} strokeStyle Stroke style.
     */
    ol.render.VectorContext.prototype.setFillStrokeStyle = goog.abstractMethod;

    /**
     * @param {ol.style.Image} imageStyle Image style.
     */
    ol.render.VectorContext.prototype.setImageStyle = goog.abstractMethod;

    /**
     * @param {ol.style.Text} textStyle Text style.
     */
    ol.render.VectorContext.prototype.setTextStyle = goog.abstractMethod;